Package helma.framework

# Class UploadStatus

java.lang.Object
helma.framework.UploadStatus

All Implemented Interfaces:
  `Serializable`

public class UploadStatus extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UploadStatus()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getCurrent()`
`String`
`getError()`
`int`
`getItemsRead()`
`long`
`getTotal()`
`boolean`
`isDisposable()`
`void`
`setError(String error)`
`String`
`toString()`
`void`
`update(long bytesRead, long contentLength, int itemsRead)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UploadStatus

public UploadStatus()

## Method Details

### update

public void update(long bytesRead, long contentLength, int itemsRead)

### setError

public void setError(String error)

### getError

public String getError()

### getCurrent

public long getCurrent()

### getTotal

public long getTotal()

### getItemsRead

public int getItemsRead()

### isDisposable

public boolean isDisposable()

### toString

public String toString()

Overrides:
  `toString` in class `Object`